Subject: bug#10331: Patch for soap-client simpleType support

From: Michael Albinus <[email-masked]>
Date: Wed, 25 Apr 2012 12:35:36 +0200

Alex Harsanyi <[email-masked]> writes:

> Hi Michael,

Hi Alex,

> I added support for simpleType, plus some more xsd basic types to
> soap-client.el, plus some fixes for the peculiarities of the WSDL at
> http://api.search.live.net/search.wsdl.  Unfortunately, that API
> cannot be used directly because it requires an AppId parameter for
> which one needs to register with Microsoft, this is out of scope for
> the soap-client project.  Please see further explanations about the
> fix here:
>
>    http://code.google.com/p/emacs-soap-client/issues/detail?id=9
>
> Please note that I found a bug in xml.el which prevents parsing fault
> responses from the live search api.  I logged the bug here:
>
>    http://debbugs.gnu.org/cgi/bugreport.cgi?bug=10405
>
> I attached a patch against the latest source in the emacs trunk, plus
> the ChangeLog entries (alternatively, you can browse the source at the
> projects site).  Please let me know if you want me to make any
> modifications to the patch.

Finally, I have committed your patch to Emacs' trunk (it is reopened for
new features). Your xml patch found its way into Emacs 24.1.

Ken, could you, please, test whether this fixes your request?

> Best Regards,
> Alex.

Best regards, Michael.